Qt 5.9 | Qt Positioning | C++ Classes | QGeoShape

Qt 5.9.4 Reference Documentation

# Obsolete Members for QGeoShape

The following members of class QGeoShape are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | extendShape(const QGeoCoordinate &coordinate)

## Member Function Documentation

### void QGeoShape::extendShape(const QGeoCoordinate &coordinate)

This method used to extend the geo shape to also cover the coordinate coordinate.

It currently only works for QGeoCircle and QGeoRectangle, on which the functionality remains, now also accessible through QGeoCircle::extendCircle and QGeoRectangle::extendRectangle.

This method should therefore not be called on a generic QGeoShape any longer, as the behavior for other shape types is undefined.

See also QGeoRectangle::extendRectangle and QGeoCircle::extendCircle.